package com.lindosoft.android.tongue;

/** Foreign tongues. */
public class TonguesForeign extends TonguesBase {
  @Override
  protected void doFirst() {
    TongueModel.nextTongue();
    setName(TongueModel.tongue.nameForeign);
    first = false;
    if (0 != TongueModel.tongue.videoForeign.length()) {
      startVideo(TongueModel.tongue.videoForeign, false);
    } else if (0 != TongueModel.tongue.nameForeign.length()) {
      stopVideo(false);
      startNext();
    } else {
      next();
    }
  }

  @Override
  protected void doSecond() {
    first = true;
    setName(TongueModel.tongue.toString());
    if (0 != TongueModel.tongue.videoNative.length()) {
      startVideo(TongueModel.tongue.videoNative, true);
    } else if (0 != TongueModel.tongue.nameNative.length()) {
      stopVideo(false);
      startNext();
    } else {
      next();
    }
  }
}